<?php
// Newswriter v2.55 03.01.2002
// Copyright (C) 2000-2002 Philipp Wolfer
// configurations date conf.php

//Newswriter english configuration file for version 2.54+
//created by heidi anselstetter

//last change: 06.12.2001

// 1. DIRECTORY OPTIONS:
  // Path to the Newswriter Directory (domain path and server path !)
  // (should the default (false) not work, you can use the
  // sysinfo.php which you will find under "tools", to find out the path.)
    // i.e. $NWCONF_SYSTEM['domain_path'] = 'http://www.newswriter.org/news';
    $NWCONF_SYSTEM['domain_path'] = '';
    // i.e. $NWCONF_SYSTEM['server_path'] = '/usr/local/httpd/htdocs/newswriter';
    $NWCONF_SYSTEM['server_path'] = '';

  // PHP-Extension ('.php' for PHP4, '.php3' for PHP3):
    $NWCONF_SYSTEM['php_ext'] = '.php';

  // File extension for article pages (e.g. '.txt'):
    $NWCONF_SYSTEM['txt_ext'] = '.txt';

  // Specify all following Directories/Files up to the above defined Newswriter Directory !
  // Newswriter Index-File:
    $NWCONF_SYSTEM['index_file'] = 'index'.$NWCONF_SYSTEM['php_ext'];

  // Data Directory for Archive and Article Directory:
    $NWCONF_SYSTEM['data_dir'] = 'data';

  // Rights for the Data Directory (with preceding 0,
  // default is 0755, by deactivated Safe Mode should be 0700 enough):
    $NWCONF_SYSTEM['diraccess'] = 0755;

  // Show Program messages (true/false):
    $NWCONF_SYSTEM['prog_messages'] = true;


// 2. DISPLAYING-OPTIONS:
  // Used Language (Default: 'english'):
    $NWCONF_DISPLAY['language'] = 'english';

  // Maximum Time period in days
  // for displaying articles
  // (0 deactivates this function)
    $NWCONF_DISPLAY['max_days'] = 7;

  // Minimum number of displaying articles:
    $NWCONF_DISPLAY['min_shownews'] = 6;

  // Maximum number of displaying articles:
    $NWCONF_DISPLAY['max_shownews'] = 8;

  // Number of Cols:
    $NWCONF_DISPLAY['max_cols'] = 2;

  // Table width in pixel or percent,
  // percent in double quotes and
  // with closing percent sign ("100%")
    $NWCONF_DISPLAY['table_width'] = 560;

  // Space between Text and Grafics in Pixel:
    $NWCONF_DISPLAY['image_space'] = 6;

  // links for printing the articles showing (true/false)
    $NWCONF_DISPLAY['enable_print'] = true;

  // Time Difference (Difference from the server to the
  // local time in hours)
    $NWCONF_DISPLAY['time_zone'] = 0;

  // Date format (Default: dd.mm.yyyy):
    $NWCONF_DISPLAY['date_fmt'] = '%d.%m.%Y';
        // Listen: This function is not completely
        // Implemented and not tested. I advise against modifying the format of the date


// 3. ARTICLE-OPTIONS:
  // List of Categories:
    $NWCONF_INTERFACE['topic_list'] = array('all', 'Newswriter Info', 'anderes Thema');

  // Show Subcatgoreis (true/false):
    $NWCONF_INTERFACE['enable_subtopics'] = true;

  // Maximum Characters on Titles (0 = endless):
    $NWCONF_INTERFACE['max_title_length'] = 24;

  // Maximum Characters of Summary (0 = endless):
    $NWCONF_INTERFACE['max_text_length'] = 300;

  // Change URLs automatically in Links (true/false):
    $NWCONF_INTERFACE['make_links'] = true;

  // Insert Images allow/disallow (true/false):
    $NWCONF_INTERFACE['allow_images'] = true;

  // Image-Upload allow/disallow (true/false):
    $NWCONF_INTERFACE['allow_imgupload'] = true;

  // Maximum Image size in KB:
    $NWCONF_INTERFACE['img_maxsize'] = 40;

  // Allowed Mime-Type for Image-Upload:
    $NWCONF_INTERFACE['img_types'] = array('image/png', 'image/jpeg', 'image/gif', 'image/pjpeg');

  // HTML-Tags in articles allow/disallow (true/false):
    $NWCONF_INTERFACE['allow_html'] = true;

  // BBCode in articles allow/disallow (true/false):
    $NWCONF_INTERFACE['allow_bbcode'] = true;

  // HTML-Tags, which can be inserted by links:
  // ($NWCONF_INTERFACE['allow_html'] = true; must be set!)
    $NWCONF_INTERFACE['easy_tags'] = array(
      'Paragraph'        => '<p>new paragraph</p>',
      'Bold'          => '<b>bold text</b>',
      'Italic'        => '<i>italic text</i>',
      'List'         => '<ul><li>entry 1</li><li>entry 2</li></ul>',
      'Link'          => '<a href="http://url" target="_blank">Linkname</a>',
      'Image'          => '<img src="Image-URL" border="0">'
    );

  // changing/not changing breaks automatically in <br>-Tags  (true/false):
    $NWCONF_INTERFACE['auto_br'] = true;

  // Link to Login shown/not shown (true/false):
    $NWCONF_INTERFACE['show_login'] = true;

  // Lifetime of Login-Cookies in Seconds
  // (Default 2592000, means 30 Days; 0 deactivate the Cookie-Function):
    $NWCONF_INTERFACE['logincookie_time'] = 2592000;

  // Admin can modify Article date (true/false):
    $NWCONF_INTERFACE['change_date'] = true;

  // Admin will be informed by new articles (true/false):
    $NWCONF_INTERFACE['admin_infomail'] = true;


// 4. USER-OPTIONS:
  // Each User becomes an ID with a Password,
  // a name, an email address and an optional URL
  // Is a URL instead of an email address given, the name
  // of the author will be linked with this address.

  // Enter the user information for each user this way:
  // array('USERRNAME', 'PASSWORD', 'REAL NAME', 'EMAIL', 'HOMEPAGE-URL')
  // The homepage URL is optional.

    $NWCONF_USERS['alluser'] = array(
      array('admin', 'admin', 'Administrator', 'admin@domain.com'),
      array('user1', 'banane','Otto', 'otto@www.ottomania.de', 'www.ottomania.de'),
    );

  // Crypt/unencrypted Passwords using (true/false):
  // (use the Script cryptit.php from the directory tools
  // to create crypted passwords)
    $NWCONF_USERS['encrypted_passwords'] = false;

  // Admin (each Admin can modify and delete articles,
  // not just its own, and change the date,
  // if $NWCONF_INTERFACE['change_date'] = true):
    $NWCONF_USERS['admins'] = array('admin');

// 5. NEWSINDEX-OPTIONS:
  // Show Date in Newsindex (true/false):
   $NWCONF_INDEX['index_showdate'] = true;

  // Date format in Newsindex (look at PHP-Documentation for Details):
   $NWCONF_INDEX['index_datefmt'] = '%d.%m.%y';

  // Number of displaying articles (default is 10):
   $NWCONF_INDEX['article_newscount'] = 10;

  // Link-Target for Newsindexlinks (e.g. for using Frames):
   $NWCONF_INDEX['link_target'] = '_self';

/////////////////////////////////
// You shouldn't have to change anything after this point
if (!$NWCONF_SYSTEM['server_path']) {
  if (isset($HTTP_SERVER_VARS['PATH_TRANSLATED']))
    $NWCONF_SYSTEM['server_path'] = dirname($HTTP_SERVER_VARS['PATH_TRANSLATED']);
  else
    $NWCONF_SYSTEM['server_path'] = dirname($PATH_TRANSLATED);
}
if (strrpos($NWCONF_SYSTEM['server_path'],'/') != strlen($NWCONF_SYSTEM['server_path']) - 1)
  $NWCONF_SYSTEM['server_path'] = $NWCONF_SYSTEM['server_path'].'/';
if (!isset($config_only))
  include($NWCONF_SYSTEM['server_path'].'include/main.inc'.$NWCONF_SYSTEM['php_ext']);
?>