<?php
/*
 Newswriter v2.55
 PHP Newsmanagement System
 Copyright (C) 2000-2002 Philipp Wolfer

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the license, or
 (at your option) any later version.
 See license.txt for further information.

 filefunc.inc.php, last change: 05.01.2002

 Functions used by newswriter for file operations:
  * get_filedata(string filename)                        (line 22)
  * cmp_files(string value1, string value2)              (line 39)
  * get_filelist(string directory)                       (line 48)
  * get_article(string filename)                         (line 68)
*/

// Nachrichteninformationen aus Datei in einem Array ablegen:
function get_filedata($file)
{
  global $NWCONF_SYSTEM;

  $fcontent = file($file);
  while(list($key,$line) = each($fcontent)) {
    list($name,$value,$x) = explode('||',$line);
    $file_entries[$name] = $value;
  }
  $file_entries['FILENAME'] = $file;
  /* For compatibility with Newswriter before 2.50 only: */
  if ($file_entries['TITEL'])
    $file_entries['TITLE'] = $file_entries['TITEL'];
  return $file_entries;
}

// Dateiliste fuer Sortierung vergleichen
function cmp_files ($a, $b)
{
  $x = basename($a);
  $y = basename($b);
  if ($x == $y) return 0;
  return ($x > $y) ? -1 : 1;
}

// Dateiliste eines Verzeichnisses erstellen:
function get_filelist($dir)
{
  if ($dir && @is_dir($dir)) {
    $dirhandle = opendir($dir);
    while($file = readdir($dirhandle)) {
      if (@file_exists($dir.'/'.$file) && preg_match('#^\d+$#',$file))
        $filelist[] = $dir.'/'.$file;
    }
    closedir($dirhandle);
    if ($filelist)
      usort($filelist, 'cmp_files');
    return $filelist;
  }
  else {
    return false;
  }
}

// Inhalt eines Artikels zum Bearbeiten wiederherstellen:
function get_article($src_file)
{
  global $NWCONF_SYSTEM, $NWCONF_INTERFACE, $NW_RUNTIME;

  $article = file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['article_dir'].'/'.$src_file);
  while (list($key,$name) = each($article)) {
    $article_text .= $name;
  }
  return $article_text;
}
?>