<?php
/*
 Newswriter v2.55
 PHP-Newsmanagement
 Copyright (C) 2000-2002 Philipp Wolfer

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the license, or
 (at your option) any later version.
 See license.txt for further information.

 upload.inc.php, last change: 05.01.2002

 functions for uploading new images:
  * upload_images()      (line 19)
*/

function upload_images() {
  global $NWCONF_SYSTEM, $NWCONF_INTERFACE, $NW_MESSAGES, $NW_TRANSLATION, $NW_RUNTIME;
  global $HTTP_POST_FILES, $HTTP_POST_VARS;

  if (isset($HTTP_POST_FILES['userimg'])) {
    $userimg = $HTTP_POST_FILES['userimg']['tmp_name'];
    $userimg_name = $HTTP_POST_FILES['userimg']['name'];
    $userimg_size = $HTTP_POST_FILES['userimg']['size'];
    $userimg_type = $HTTP_POST_FILES['userimg']['type'];
  }
  elseif (isset($HTTP_POST_VARS['userimg'])) {
    $userimg = $HTTP_POST_VARS['userimg']['tmp_name'];
    $userimg_name = $HTTP_POST_VARS['userimg']['name'];
    $userimg_size = $HTTP_POST_VARS['userimg']['size'];
    $userimg_type = $HTTP_POST_VARS['userimg']['type'];
  }

  if (is_array($userimg)) {
    while(list($imgkey,$file) = each($userimg)) {
      if ($userimg[$imgkey] != 'none') {
        $upload = false;
        while (list($key,$type) = each($NWCONF_INTERFACE['img_types'])) {
          if ($userimg_type[$imgkey] == $type)
            $upload = true;
        }
        reset($NWCONF_INTERFACE['img_types']);
        if (!@is_file($userimg[$imgkey]) || @is_file($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['imgupload_dir'].'/'.$userimg_name[$imgkey]) || $userimg_size[$imgkey] > $NWCONF_INTERFACE['img_maxsize'] * 1024)
          $upload = false;
        if (!$NW_RUNTIME['simple_upload']) {
          if ($upload && move_uploaded_file($userimg[$imgkey],$NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['imgupload_dir'].'/'.$userimg_name[$imgkey]))
            $upload = true;
        }
        elseif ($NW_RUNTIME['simple_upload']) {
          if ($upload && copy($userimg[$imgkey],$NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['imgupload_dir'].'/'.$userimg_name[$imgkey]))
            $upload = true;
        }
        if ($upload) {
          chmod($NWCONF_SYSTEM['server_path'].$NWCONF_SYSTEM['imgupload_dir'].'/'.$userimg_name[$imgkey], 0644);
          $NW_MESSAGES['upload_success'] .= '<li>'.$userimg_name[$imgkey].' ('.$userimg_type[$imgkey].', '.$userimg_size[$imgkey].' bytes)</li>';
        }
        else {
          $NW_MESSAGES['upload_error'] .= '<li>'.$userimg_name[$imgkey].' ('.$userimg_type[$imgkey].', '.$userimg_size[$imgkey].' bytes)</li>';
        }
      }
    }
    reset($userimg);
  }
  if ($NW_MESSAGES['upload_error'])
    $NW_MESSAGES['upload_error'] = $NW_TRANSLATION['edit_error_imgupload'].'<ul type="square">'.$NW_MESSAGES['upload_error'].'</ul>';;
  if ($NW_MESSAGES['upload_success'])
    $NW_MESSAGES['upload_success'] = $NW_TRANSLATION['edit_success_imgupload'].'<ul type="square">'.$NW_MESSAGES['upload_success'].'</ul>';;
}
?>